Bug 441786 - [xchat] No "Minimise to Tray" after selected.
[xchat] No "Minimise to Tray" after selected.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 23:31 EDT by Caius Chance
Modified: 2009-06-09 21:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 20:32:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Caius Chance 2008-04-09 23:31:31 EDT
Description of problem:
The window doesn't minimise to tray when click on "X" button.

Version-Release number of selected component (if applicable):
xchat-2.8.4-15.fc9.i386

How reproducible:
Always.

Steps to Reproduce:
1. Start xchat in gnome.
2. Click "X" button on xchat window.
3. A dialogue asks if user wants to minimized window to tray.
4. Click on "Minimize to Tray".
5. Watch results.
  
Actual results:
The window doesn't minimize to tray.

Expected results:
The window minimizes to tray.

Additional info:
It does minimize if user go into "Settings" > "Preferences" > "Chatting" >
"Alert" > and check "Enable system tray icon". Then repeat the above steps.

IMHO, xchat should not display "Minimize to Tray" button when user clicked on
"X" button. Also, add a fast button on the dialogue which let user turn on
"Enable system tray icon" without go to preferences, or tell them where to set that.
Comment 1 Bug Zapper 2008-05-14 05:13:17 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Peter Zelezny 2008-05-25 01:46:13 EDT
This is because the Fedora package is patched to turn OFF the tray icon setting,
it's not like that upstream.

But it should be forced back ON when the user clicks the "Minimize to tray"
button. This patch does it:

http://xchat.cvs.sf.net/xchat/xchat2/src/fe-gtk/maingui.c?r1=1.179&r2=1.180
Comment 3 Kevin 2008-08-16 22:25:47 EDT
Still an issue in 2.8.4-16.fc9
Comment 4 Kevin Kofler 2008-08-17 02:07:42 EDT
It's fixed in 2.8.6. We haven't issued 2.8.6 as an F9 update yet. There's at least bug 455561 which needs to be looked at.
Comment 5 Kevin 2008-08-17 04:04:02 EDT
(In reply to comment #4)
> It's fixed in 2.8.6. We haven't issued 2.8.6 as an F9 update yet. There's at
> least bug 455561 which needs to be looked at.

On that basis can this bug be closed?
Comment 6 Kevin Kofler 2008-08-17 04:08:23 EDT
We could close it RAWHIDE, but IMHO it makes more sense to keep it open until an F9 update (either an upgrade to 2.8.6 or a backport) is pushed to fix it.
Comment 7 Caius Chance 2009-02-15 13:22:22 EST
Fedora 10 is current version. IMHO this bug could be closed.
Comment 8 Kevin Kofler 2009-02-15 13:48:37 EST
I don't think it should be closed until it's fixed in F9 or F9 goes EOL.

I could push out a 2.8.6 update to F9, that would fix this issue.
Comment 9 Caius Chance 2009-02-15 19:57:18 EST
It is not a high severity of this bug. IMHO pushing out 2.8.6 might not worth for just this bug.
Comment 10 Bug Zapper 2009-06-09 20:06:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Kevin Kofler 2009-06-09 20:32:26 EDT
This is fixed in F10 and above by upgrading to 2.8.6. We haven't pushed this to F9 because 2.8.6 is a big change and caused regressions elsewhere, so we judged it too risky. There are no plans to push 2.8.6 to F9 at this point, seeing where we are in F9's release cycle.
Comment 12 Caius Chance 2009-06-09 21:06:00 EDT
Not a problem. I am using F11 now. :)

I put '9' in thie bug report only I found it on F9.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.